Skip to main content
`Ctrl`+`K`

# CharacteristicInitializePackage

This function initializes everything in the Characteristic package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to CharacteristicCreate() when using static libraries.

## Synopsis

    PetscErrorCode CharacteristicInitializePackage(void)

## See Also

TS: Scalable ODE and DAE Solvers, `PetscInitialize()`, `CharacteristicFinalizePackage()`

## Level

developer

## Location

src/ts/characteristic/interface/slregis.c

Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages